Bug 1792378 - [RFE] Long role names are cut off in the roles UI
Summary: [RFE] Long role names are cut off in the roles UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Users & Roles
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: 6.8.0
Assignee: satellite6-bugs
QA Contact: Radek Mynar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-17 15:15 UTC by Sean O'Keeffe
Modified: 2020-10-27 13:00 UTC (History)
8 users (show)

Fixed In Version: foreman-2.1.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 13:00:04 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot (94.94 KB, image/png)
2020-01-17 15:15 UTC, Sean O'Keeffe
no flags Details
Displaying full role name (120.54 KB, image/png)
2020-01-23 15:12 UTC, Leos Stejskal
no flags Details
unwrappable long role name (174.29 KB, image/png)
2020-06-05 15:39 UTC, Radek Mynar
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28849 High Closed Long role names are cut off in the roles UI 2020-10-28 17:23:05 UTC
Red Hat Knowledge Base (Solution) 4937601 None None None 2020-03-30 14:04:23 UTC
Red Hat Product Errata RHSA-2020:4366 None None None 2020-10-27 13:00:17 UTC

Internal Links: 1662337

Description Sean O'Keeffe 2020-01-17 15:15:14 UTC
Created attachment 1653097 [details]
screenshot

Description of problem:
If role names are long then they are cut off, the names should take a higher priority than the description.


Version-Release number of selected component (if applicable):
6.7

How reproducible:
100%

Steps to Reproduce:
1. Create a role with a long name
2. look at the list of roles
3. profit

Actual results:
see attached screenshot

Expected results:
More or all of the role name should be shown, we should cut more ofthe Description before the Name.

Comment 3 Leos Stejskal 2020-01-23 13:42:09 UTC
Created redmine issue https://projects.theforeman.org/issues/28849 from this bug

Comment 4 Leos Stejskal 2020-01-23 15:12:32 UTC
Created attachment 1654872 [details]
Displaying full role name

Comment 5 Leos Stejskal 2020-01-23 15:15:15 UTC
Hi,
one way how to fix this issue is displaying full name all the time (see screenshot https://bugzilla.redhat.com/attachment.cgi?id=1654872).
What do you think about this solution?

Comment 6 Sean O'Keeffe 2020-01-23 18:30:37 UTC
Looks good to me - thanks!

Comment 7 Bryan Kearney 2020-02-19 13:03:18 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28849 has been resolved.

Comment 8 Radek Mynar 2020-06-05 15:39:44 UTC
Created attachment 1695457 [details]
unwrappable long role name

Tested on Firefox with Satellite 6.8 SNAP3. I also tried some long string which cannot be wrapped and the result is that the name overlaps into another column - see screenshot.

Comment 10 Radek Mynar 2020-07-15 12:30:56 UTC
I entered a new bug to track issue mentioned in comment 8 - https://bugzilla.redhat.com/show_bug.cgi?id=1857198

I consider this one as fixed and VERIFIED

Comment 13 errata-xmlrpc 2020-10-27 13:00:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.